メインコンテンツへスキップ
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
トランザクションの情報を取得します
curl --request GET \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "documents": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "businessRulesErrors": [
        {
          "currentFieldId": "<string>",
          "errorType": "<string>",
          "ruleId": "<string>",
          "customMessage": "<string>"
        }
      ],
      "classification": {
        "classConfidences": [
          {
            "classId": "<string>",
            "className": "<string>",
            "confidence": 123
          }
        ],
        "isResultClassConfident": true,
        "resultClass": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "resultFiles": [
        {
          "fileId": "<string>",
          "fileName": "<string>"
        }
      ]
    }
  ],
  "error": "<string>",
  "manualReviewLink": "<string>",
  "sourceFiles": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

transactionId
string<uuid>
必須

トランザクション識別子。トランザクションが正常に作成されると、レスポンスで返されます。

レスポンス

トランザクション情報が正常に取得されました

id
string<uuid>
必須
status
enum<string>
必須
利用可能なオプション:
New,
Processing,
Processed,
Failed,
Canceled
documents
object[] | null
error
string | null
sourceFiles
object[] | null